Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf3d
Class Scape3DPartFactory

    java.lang.Object
      org.eclipse.amp.agf.gef.ScapePartFactory
          org.eclipse.amp.agf3d.Scape3DPartFactory

All Implemented Interfaces:
  org.eclipse.gef.EditPartFactory

    public class Scape3DPartFactory

extends ScapePartFactory

Constructor Summary
`Scape3DPartFactory(IModel model, IGraphics3DAdapter graphics3DAdapter, IGraphicsAdapter graphicsAdapter)`

Method Summary
`IGraphics3DAdapter` | `getGraphics3DAdapter()`
`protected org.eclipse.gef.EditPart` | `getPartForElement(java.lang.Object model)` Maps an object to an EditPart.

Methods inherited from class org.eclipse.amp.agf.gef.ScapePartFactory
`createEditPart, getCompositionProvider, getGraphicsAdapter, getGraphProvider, getLocationProvider, setCompositionProvider, setGraphProvider`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Scape3DPartFactory

    public Scape3DPartFactory(IModel model,
                              IGraphics3DAdapter graphics3DAdapter,
                              IGraphicsAdapter graphicsAdapter)

Method Detail

### getPartForElement

    protected org.eclipse.gef.EditPart getPartForElement(java.lang.Object model)

  Description copied from class: `ScapePartFactory`
  Maps an object to an EditPart.

  Overrides:
    `getPartForElement` in class `ScapePartFactory`
  Parameters:
    `model` - the model
  Returns:
    the part for element

### getGraphics3DAdapter

    public IGraphics3DAdapter getGraphics3DAdapter()

  Returns:
    the graphics3dAdapter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD